> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List evaluated tools

> List the evaluated tools the bound message can invoke from inside the sandbox



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /ai/evaluatedTools
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /ai/evaluatedTools:
    get:
      tags:
        - AI - Evaluated Tools
      summary: List evaluated tools
      description: >-
        List the evaluated tools the bound message can invoke from inside the
        sandbox
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  tools:
                    type: array
                    items:
                      type: object
                      properties:
                        slug:
                          type: string
                        name:
                          type: string
                        description:
                          type: string
                        inputSchema: {}
                      required:
                        - slug
                        - name
                        - description
                        - inputSchema
                      additionalProperties: false
                required:
                  - tools
                additionalProperties: false
                title: Response body
                description: >-
                  Public metadata for every evaluated tool the bound message can
                  invoke from inside the sandbox.
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````